org.codehaus.groovy.runtime.callsite

## Class ConstructorMetaClassSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.ConstructorMetaClassSite

All Implemented Interfaces:
  CallSite

    public class ConstructorMetaClassSite
    extends MetaClassSite

### Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

`metaClass`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorMetaClassSite(CallSite site, MetaClass metaClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstructorMetaClassSite

    public ConstructorMetaClassSite(CallSite site,
                                    MetaClass metaClass)

### Method Detail

#### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver,
                                            java.lang.Object[] args)
                                     throws java.lang.Throwable

Specified by:
  `callConstructor` in interface `CallSite`
Overrides:
  `callConstructor` in class `AbstractCallSite`
Throws:
  `java.lang.Throwable`